Skip to main content
`Ctrl`+`K`

# DMForestSetAdaptivityStrategy

During the pre-setup phase, set the strategy for combining adaptivity labels from multiple processes.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetAdaptivityStrategy(DM dm, DMForestAdaptivityStrategy adaptStrategy)

Logically Collective

## Input Parameters

- dm - the forest

- adaptStrategy - default `DMFORESTADAPTALL`

## Notes

Subtypes of `DMFOREST` may define their own strategies. Two default strategies are `DMFORESTADAPTALL`, which indicates that all processes must agree for a refinement/coarsening flag to be valid, and `DMFORESTADAPTANY`, which indicates that only one process needs to specify refinement/coarsening.

## See Also

`DM`, `DMFOREST`, `DMForestGetAdaptivityStrategy()`, `DMFORESTADAPTALL`, `DMFORESTADAPTANY`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages